Bug 190498 - temp storage in /var/cache and disk space
temp storage in /var/cache and disk space
Product: Fedora
Classification: Fedora
Component: logwatch (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Depends On:
  Show dependency treegraph
Reported: 2006-05-02 18:11 EDT by Curtis Doty
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-05 05:47:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Curtis Doty 2006-05-02 18:11:25 EDT
Description of problem:

By default, it appears to extract gzipped archives into a working dir in
/var/cache/logwatch/. Which has a high potential to blow up the /var volume if,
for example, apache is a high-volume site and the logs are already rotated and
zipped in order to prevent just such a problem. :-/

Even worse, when logwatch blows up /var and dies, it leaves all the temp junk
behind so what would have been a brief blowup of space on /var instead is a
permanent disk full error requiring manual intervention.

Version-Release number of selected component (if applicable):
This was verified on v7.0, but a brief inspection of the v7.2 update does not
indicate that this issue was addressed.

How reproducible:

Roll out high-volume apache server with logwatch installed. Setup a logrotate
policy as needed for faster rotation and compression. Watch closely at 04:04
logwatch consume growingly huge amounts of space as it expands the compressed
logfiles. If it every fills up /var, BANG it will leave behind its mess and a
full volume.
Expected results:

#1 required: it should die gracefully and clean up its mess
#2 optional: some sort of sanity check before going to town on compressed huge
archive files
Comment 1 Ivana Varekova 2006-05-05 05:47:57 EDT
Thanks. I discuss this problem with upstream (thanks Bjorn) the upstream
solution is now built in the last version of logwatch - logwatch-7.3-2.
Could you test this version? If there is any problem, please add your comment here.

Note You need to log in before you can comment on or make changes to this bug.